;*======================================================================*
;* TITLE	: PICTURE.S						*
;* Function	: This file contains data used for different animation	*
;*		  sequences for Crescent Galaxy.			*
;*									*
;* Project #	: JAGUAR ANIMATION SHOW from Sample CD			*
;* Programmer	: Pradip K Fatehpuria	04/21/94			*
;*									*
;* COPYRIGHT(c) 1992,1993 Atari Computer Corporation			*
;* UNATHORIZED REPRODUCTION, ADAPTATION, DISTRIBUTION, PERFORMANCE OR	*
;* DISPLAY OF THIS COMPUTER PROGRAM OR THE ASSOCIATED AUDIOVISUAL WORK	*
;* IS STRICTLY PROHIBITED.						*
;* ALL RIGHTS RESERVED.							*
;*======================================================================*

.title	"PICTURE.S - Animation Data for different sequences"

;*======================================================================*
;* HEADER FILES

.include	'blitter.inc'

;************************************************************************
;*	CONSTANT DATA AREA						*
;************************************************************************

	.data

;*======================================================================*
;*======================================================================*

		.globl		p00_ptr
		.globl		p00_fil
		.long
p00_ptr:	.dcb.b		64,$31
p00_hdr:	.dc.l		(p00_pix-p00_hdr)
p00_len:	.dc.l		(p00_end-p00_pix)
p00_frm:	.dc.w		0
p00_nos:	.dc.w		14
p00_wid:	.dc.w		128
p00_xwd:	.dc.w		WID128
p00_hit:	.dc.w		89,89,89,89,89,89,89,89,89,89,89,89,89,89
		.long
p00_pix:	.include	"baby.rgb"
p00_end:	.dc.b		"_PKF"
		.long
p00_fil:	.dc.b		"baby.cdr"
		.long

		.globl		p01_ptr
		.globl		p01_fil
		.long
p01_ptr:	.dcb.b		64,$31
p01_hdr:	.dc.l		(p01_pix-p01_hdr)
p01_len:	.dc.l		(p01_end-p01_pix)
p01_frm:	.dc.w		0
p01_nos:	.dc.w		1
p01_wid:	.dc.w		64
p01_xwd:	.dc.w		WID64
p01_hit:	.dc.w		48
		.long
p01_pix:	.include	"ball.rgb"
p01_end:	.dc.b		"_PKF"
		.long
p01_fil:	.dc.b		"ball.cdr"
		.long

		.globl		p02_ptr
		.globl		p02_fil
		.long
p02_ptr:	.dcb.b		64,$31
p02_hdr:	.dc.l		(p02_pix-p02_hdr)
p02_len:	.dc.l		(p02_end-p02_pix)
p02_frm:	.dc.w		0
p02_nos:	.dc.w		28
p02_wid:	.dc.w		64
p02_xwd:	.dc.w		WID64
p02_hit:	.dc.w		28,29,29,31,32,30,27,28,26,25,24,26,27,28,29,30,31,31,31,30,28,28,27,22,23,26,26,29
		.long
p02_pix:	.include	"bat.rgb"
p02_end:	.dc.b		"_PKF"
		.long
p02_fil:	.dc.b		"bat.cdr"
		.long

		.globl		p03_ptr
		.globl		p03_fil
		.long
p03_ptr:	.dcb.b		64,$31
p03_hdr:	.dc.l		(p03_pix-p03_hdr)
p03_len:	.dc.l		(p03_end-p03_pix)
p03_frm:	.dc.w		0
p03_nos:	.dc.w		8
p03_wid:	.dc.w		32
p03_xwd:	.dc.w		WID32
p03_hit:	.dc.w		29,29,29,29,29,29,29,29
		.long
p03_pix:	.include	"bskull.rgb"
p03_end:	.dc.b		"_PKF"
		.long
p03_fil:	.dc.b		"bskull.cdr"
		.long

		.globl		p04_ptr
		.globl		p04_fil
		.long
p04_ptr:	.dcb.b		64,$31
p04_hdr:	.dc.l		(p04_pix-p04_hdr)
p04_len:	.dc.l		(p04_end-p04_pix)
p04_frm:	.dc.w		0
p04_nos:	.dc.w		16
p04_wid:	.dc.w		64
p04_xwd:	.dc.w		WID64
p04_hit:	.dc.w		32,32,33,33,32,35,38,39,39,39,39,39,39,37,33,32
		.long
p04_pix:	.include	"bubblb.rgb"
p04_end:	.dc.b		"_PKF"
		.long
p04_fil:	.dc.b		"bubblb.cdr"
		.long

		.globl		p05_ptr
		.globl		p05_fil
		.long
p05_ptr:	.dcb.b		64,$31
p05_hdr:	.dc.l		(p05_pix-p05_hdr)
p05_len:	.dc.l		(p05_end-p05_pix)
p05_frm:	.dc.w		0
p05_nos:	.dc.w		16
p05_wid:	.dc.w		32
p05_xwd:	.dc.w		WID32
p05_hit:	.dc.w		16,16,17,17,16,17,19,19,19,19,19,19,19,18,17,16
		.long
p05_pix:	.include	"bubbls.rgb"
p05_end:	.dc.b		"_PKF"
		.long
p05_fil:	.dc.b		"bubbls.cdr"
		.long

		.globl		p06_ptr
		.globl		p06_fil
		.long
p06_ptr:	.dcb.b		64,$31
p06_hdr:	.dc.l		(p06_pix-p06_hdr)
p06_len:	.dc.l		(p06_end-p06_pix)
p06_frm:	.dc.w		0
p06_nos:	.dc.w		12
p06_wid:	.dc.w		48
p06_xwd:	.dc.w		WID48
p06_hit:	.dc.w		27,27,27,27,27,27,27,27,27,27,27,27
		.long
p06_pix:	.include	"buggy.rgb"
p06_end:	.dc.b		"_PKF"
		.long
p06_fil:	.dc.b		"buggy.cdr"
		.long

		.globl		p07_ptr
		.globl		p07_fil
		.long
p07_ptr:	.dcb.b		64,$31
p07_hdr:	.dc.l		(p07_pix-p07_hdr)
p07_len:	.dc.l		(p07_end-p07_pix)
p07_frm:	.dc.w		0
p07_nos:	.dc.w		16
p07_wid:	.dc.w		64
p07_xwd:	.dc.w		WID64
p07_hit:	.dc.w		40,40,40,40,37,35,34,34,34,36,37,36,37,38,40,40
		.long
p07_pix:	.include	"burplb.rgb"
p07_end:	.dc.b		"_PKF"
		.long
p07_fil:	.dc.b		"burplb.cdr"
		.long

		.globl		p08_ptr
		.globl		p08_fil
		.long
p08_ptr:	.dcb.b		64,$31
p08_hdr:	.dc.l		(p08_pix-p08_hdr)
p08_len:	.dc.l		(p08_end-p08_pix)
p08_frm:	.dc.w		0
p08_nos:	.dc.w		16
p08_wid:	.dc.w		32
p08_xwd:	.dc.w		WID32
p08_hit:	.dc.w		20,20,20,20,19,18,17,17,17,18,19,18,19,19,20,20
		.long
p08_pix:	.include	"burpls.rgb"
p08_end:	.dc.b		"_PKF"
		.long
p08_fil:	.dc.b		"burpls.cdr"
		.long

		.globl		p09_ptr
		.globl		p09_fil
		.long
p09_ptr:	.dcb.b		64,$31
p09_hdr:	.dc.l		(p09_pix-p09_hdr)
p09_len:	.dc.l		(p09_end-p09_pix)
p09_frm:	.dc.w		0
p09_nos:	.dc.w		8
p09_wid:	.dc.w		64
p09_xwd:	.dc.w		WID64
p09_hit:	.dc.w		64,64,64,64,64,64,64,64
		.long
p09_pix:	.include	"crystb.rgb"
p09_end:	.dc.b		"_PKF"
		.long
p09_fil:	.dc.b		"crystb.cdr"
		.long

		.globl		p10_ptr
		.globl		p10_fil
		.long
p10_ptr:	.dcb.b		64,$31
p10_hdr:	.dc.l		(p10_pix-p10_hdr)
p10_len:	.dc.l		(p10_end-p10_pix)
p10_frm:	.dc.w		0
p10_nos:	.dc.w		17
p10_wid:	.dc.w		48
p10_xwd:	.dc.w		WID48
p10_hit:	.dc.w		39,39,39,39,39,39,39,39,39,39,39,39,39,39,39,39,39
		.long
p10_pix:	.include	"cube.rgb"
p10_end:	.dc.b		"_PKF"
		.long
p10_fil:	.dc.b		"cube.cdr"
		.long

		.globl		p11_ptr
		.globl		p11_fil
		.long
p11_ptr:	.dcb.b		64,$31
p11_hdr:	.dc.l		(p11_pix-p11_hdr)
p11_len:	.dc.l		(p11_end-p11_pix)
p11_frm:	.dc.w		0
p11_nos:	.dc.w		8
p11_wid:	.dc.w		192
p11_xwd:	.dc.w		WID192
p11_hit:	.dc.w		96,96,96,96,96,96,96,96
		.long
p11_pix:	.include	"dino.rgb"
p11_end:	.dc.b		"_PKF"
		.long
p11_fil:	.dc.b		"dino.cdr"
		.long

;*======================================================================*
;*======================================================================*

;************************************************************************
;*	END OF PICTURE.S
;************************************************************************

	.end
